com.saxonica.stream

## Class SequenceExchanger.EvaluationThread

- java.lang.Object
- - com.saxonica.stream.SequenceExchanger.Producer
  - - com.saxonica.stream.SequenceExchanger.EvaluationThread

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    SequenceExchanger

      public static class SequenceExchanger.EvaluationThread
      extends SequenceExchanger.Producer

  EvaluationThread is a producer that evaluates an expression in "push" mode, writing the results to a Conduit.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceExchanger.EvaluationThread(Expression exp, PipelineConfiguration pipe, XPathContext context, Conduit conduit)` Create an EvaluationThread

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceExchanger.Producer` | `getAnother(Conduit conduit)` Make a copy of this Producer, evaluating the expression again starting at the beginning, and writing the results to a new Conduit
    `void` | `run()` Run the thread, evaluating the expression and writing its results to the Conduit

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceExchanger.EvaluationThread

          public SequenceExchanger.EvaluationThread(Expression exp,
                                            PipelineConfiguration pipe,
                                            XPathContext context,
                                            Conduit conduit)

      Create an EvaluationThread
      Parameters:
        `exp` - the expression to be evaluated
        `pipe` - configuration information, for example the error listener to be used
        `context` - the evaluation context for the expression
        `conduit` - the conduit to which the expression results are to be written

  - ### Method Detail

    - #### run

          public void run()

      Run the thread, evaluating the expression and writing its results to the Conduit

    - #### getAnother

          public SequenceExchanger.Producer getAnother(Conduit conduit)

      Make a copy of this Producer, evaluating the expression again starting at the beginning, and writing the results to a new Conduit
      Specified by:
        `getAnother` in class `SequenceExchanger.Producer`
      Parameters:
        `conduit` - the new Conduit
      Returns:
        the new EvaluationThread

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.